TEST_AND_SET_BIT(9)

NAME
test_and_set_bit - Set a bit and return its old value

SYNOPSIS

int test_and_set_bit (int nr, volatile unsigned long * addr);

ARGUMENTS

nr  Bit to set

addr
    Address to count from

DESCRIPTION

This operation is atomic and cannot be reordered. It may be reordered on other architectures than x86. It also implies a memory barrier.